/**
  *  \file client/chart/drawcirclemode.h
  *  \brief Starchart Mode: WDrawCircleChartMode
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_CHART_DRAWCIRCLEMODE_H
#define PCC_V2_CLIENT_CHART_DRAWCIRCLEMODE_H

#include "client/chart/markermode.h"

/** Chart mode for drawing a circle. Allows the user to manipulate the
    radius. */
class WDrawCircleChartMode : public WMarkerChartMode {
    void setRadius(int n);
 public:
    WDrawCircleChartMode(GDrawingContainer::iterator p);
    ~WDrawCircleChartMode();

    void onMove(GChartLocation& loc);
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);
};

#endif
