/**
  *  \file client/widgets/objcontrol.h
  *  \brief WObjectSelectionControl widget
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_OBJCONTROL_H
#define PCC_V2_CLIENT_WIDGETS_OBJCONTROL_H

#include "ui/ui.h"
#include "game/objsel.h"

/** Object selection control. Allows keyboard control of the selection in a
    GObjectSelection. This widget is invisible; it is intended to be used
    with WObjectSelectionHeaderTile and other WObjectSelectionObserverTile's. */
class WObjectSelectionControl : public UIFixedWidget {
    GObjectSelection& selection;
 public:
    WObjectSelectionControl(GObjectSelection& selection);
    bool handleEvent(const UIEvent& event, bool second_pass);
    void drawContent(GfxCanvas& can);
};

#endif
