/**
  *  \file reshack/palette.h
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_RESHACK_PALETTE_H
#define PCC_V2_RESHACK_PALETTE_H

#include "ui/window.h"
#include "cpluslib/holder.h"

class UINumberSelector;

class RHPaletteEditorWindow : public UIWindow {
 public:
    RHPaletteEditorWindow(Ptr<GfxPixmap> pixmap, int colorIndex);
    ~RHPaletteEditorWindow();

 private:
    Ptr<GfxPixmap> pixmap;
    int colorIndex;

    ObjectHolder h;

    class Preview;
    Preview* preview;

    UINumberSelector* sel_red;
    UINumberSelector* sel_green;
    UINumberSelector* sel_blue;

    SDL_Color orig_color;

    void init();
    void onChange();
    void onOK();
    void onCancel();
    void setPalette(SDL_Color& c);
};

#endif
